Subject: Re: bug#11833: Testsuite summary for GNU Automake 1.12.1 # FAIL: 2
From: Stefano Lattarini <[email-masked]>
To: Dennis Clarke <[email-masked]>
Cc: [email-masked]
Date: Wed, 21 Nov 2012 11:56:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Reference:
<http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11833>

On 07/06/2012 11:01 PM, Stefano Lattarini wrote:
> tags 11833 + moreinfo
> severity 11833 minor
> thanks
> 
> Hi Dennis, sorry for the delay.
> 
> On 07/01/2012 08:33 PM, Dennis Clarke wrote:
>>
>> on debian 6.0.5 amd64  : 
>>
>> .
>> .
>> .
>> PASS: t/self-check-cleanup.tap 5 - post-cleanup removed null-perms testdir
>> PASS: t/self-check-cleanup.tap 6 - pre-cleanup with testdir with zero-perms symlinks
>> PASS: t/self-check-cleanup.tap 7 - pre-cleanup chmod doesn't follow symlinks to files
>> FAIL: t/self-check-cleanup.tap 8 - pre-cleanup chmod doesn't follow symlinks to dirs
>> PASS: t/self-check-cleanup.tap 9 - post-cleanup with testdir with zero-perms symlinks
>> PASS: t/self-check-cleanup.tap 10 - post-cleanup chmod doesn't follow symlinks to files
>> FAIL: t/self-check-cleanup.tap 11 - post-cleanup chmod doesn't follow symlinks to dirs
>> PASS: t/self-check-cleanup.tap 12 - exit trap doesn't clobber exit status 1
>> PASS: t/self-check-cleanup.tap 13 - testdir not removed if exiting with status 1
>> PASS: t/self-check-cleanup.tap 14 - exit trap doesn't clobber exit status 2
>> PASS: t/self-check-cleanup.tap 15 - testdir not removed if exiting with status 2
>> .
>> .
>> .
>>
> I've recently removed this self-test, because it was causing too much
> false positives and requiring too much mucking & tweaking.
> 
> Anyway, to be extra safe and ensure nothing serious is going on, could you
> please post the logs of this test?  They should be found in the generated
> 't/self-check-cleanup.log'.
> 
>> ============================================================================
>> Testsuite summary for GNU Automake 1.12.1
>> ============================================================================
>> # TOTAL: 2715
>> # PASS:  2447
>> # SKIP:  228
>> # XFAIL: 38
>> # FAIL:  2
>> # XPASS: 0
>> # ERROR: 0
>> ============================================================================
>> See ./test-suite.log
>> Please report to [email-masked]
>> ============================================================================
>>
>>
>>
>> find . -type f -name test-suite.log
>> ./t/tap-bad-prog.dir/test-suite.log
>> ./t/parallel-tests-many.dir/test-suite.log
>> ./t/tap-bad-prog-w.dir/test-suite.log
>> ./test-suite.log
> 
>> $ wc -l ./test-suite.log
>> 22063 ./test-suite.log
>>
> This is the file whose content you should have posted, because the logs
> of all failed/skipped files get copied in there.  Anyway, since only one
> test is failing for you, in this case it's more efficient to just  post
> the logs of that test ('t/self-check-cleanup.log', as I said above).
> 
>>   35 ./t/tap-bad-prog.dir/test-suite.log
>>   14 ./t/parallel-tests-many.dir/test-suite.log
>>   32 ./t/tap-bad-prog-w.dir/test-suite.log
>>   81 total
>>
> These files are generated by some Automake tests that check the expected
> features of the Automake-generated test harnesses.  It is expected that
> they might contain reports of failures or errors.  Nothing to worry about
> here.
> 
> Regards,
>   Stefano
>
No further activity in this thread, and all the issues should have been
resolved by now (or rendered moot by the subsequent changes done in the
Automake testsuite).

I'm thus closing this bug report.

Thanks,
  Stefano